
We were at the movies starring Jane Russell. I started choking on a lifesaver candy. My father started patting me on the back which was not working, so he excitedly grabbed me by my feet and rushed up the aisle yelling for me to cough it out. The carpeting was maroon with gold waves in it. I couldn't get it out and kept choking. When got up to the lobby, my dad ran to the water fountain and kept yelling at me to take a drink. I could see the water swirling into the drain and I tried to drink but couldn't.

Next thing I know, I was standing about 25 feet from this scene with my dad shaking me while I was upside down. My mother was standing next to him and screaming. My younger sister was standing close by but not understanding what was happening. I remember looking at this scene with great wonder. I was thinking, 'What are they doing and why am I over there and here too?' I was very confused but not afraid at all. Then I saw black behind me with two shadowy figures, not threatening at all but I didn't understand this at age 5 years old. I was a very nervous little girl but I wasn't afraid of this at all. I was very calm.

Then I woke up in the emergency room with a large silver light fixture over me as I lay on the table. I really didn't think too much about it for years as all experiences to kids are normal. I remembered it but it was in the back of my mind until my own father passed over.

This experience has helped me in my life as my family and friends have started to pass over. I am with my close family members and I think I help them transition and tell them not to be afraid as there is something afterwards. I hope I helped them.
